Page MenuHomePhabricator

The first Selenium test for WikibaseCirrusSearch
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseCirrusSearch : masterSelenium: check if the extension is listed at Special:Version

Event Timeline

Change 511127 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/WikibaseCirrusSearch@master] WIP Selenium: check if the extension is listed at Special:Version

https://gerrit.wikimedia.org/r/511127

zeljkofilipin triaged this task as Medium priority.May 22 2019, 6:30 PM
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.
$ vagrant roles enable wikibasecirrussearch
Ok. Run `vagrant provision` to apply your changes.

$ vagrant provision

...

==> default: Error: /Stage[main]/Mediawiki/Exec[update_all_databases]: Failed to call refresh: /usr/local/bin/foreachwiki update.php --quick --doshared returned 1 instead of one of [0]
==> default: Error: /Stage[main]/Mediawiki/Exec[update_all_databases]: /usr/local/bin/foreachwiki update.php --quick --doshared returned 1 instead of one of [0]


...

==> default: Error: /usr/local/bin/foreachwikiwithextension GlobalUsage extensions/GlobalUsage/maintenance/refreshGlobalimagelinks.php --pages existing,nonexisting returned 1 instead of one of [0]
==> default: Error: /Stage[main]/Role::Globalusage/Mediawiki::Maintenance[refresh globalusage table]/Exec[refresh globalusage table]/returns: change from notrun to 0 failed: /usr/local/bin/foreachwikiwithextension GlobalUsage extensions/GlobalUsage/maintenance/refreshGlobalimagelinks.php --pages existing,nonexisting returned 1 instead of one of [0]

...

==> default: Error: /usr/local/bin/foreachwikiwithextension CirrusSearch extensions/CirrusSearch/maintenance/updateSearchIndexConfig.php --startOver && /usr/local/bin/foreachwikiwithextension CirrusSearch extensions/CirrusSearch/maintenance/forceSearchIndex.php
==> default:  returned 1 instead of one of [0]
==> default: Error: /Stage[main]/Role::Cirrussearch/Mediawiki::Maintenance[build_search_index]/Exec[build_search_index]/returns: change from notrun to 0 failed: /usr/local/bin/foreachwikiwithextension CirrusSearch extensions/CirrusSearch/maintenance/updateSearchIndexConfig.php --startOver && /usr/local/bin/foreachwikiwithextension CirrusSearch extensions/CirrusSearch/maintenance/forceSearchIndex.php
==> default:  returned 1 instead of one of [0]

...

==> default: Error: /Stage[main]/Role::Wikidata/Mediawiki::Import::Text[Wiki:Main Page]/Mediawiki::Maintenance[add page wikidata/Wiki:Main Page]/Exec[add page wikidata/Wiki:Main Page]: Failed to call refresh: /usr/local/bin/mwscript edit.php --wiki=wikidatawiki --summary='Vagrant import' --no-rc 'Wiki:Main Page' < '/srv/pages/wiki/wikidatawiki/Wiki:Main Page' returned 255 instead of one of [0]
==> default: Error: /Stage[main]/Role::Wikidata/Mediawiki::Import::Text[Wiki:Main Page]/Mediawiki::Maintenance[add page wikidata/Wiki:Main Page]/Exec[add page wikidata/Wiki:Main Page]: /usr/local/bin/mwscript edit.php --wiki=wikidatawiki --summary='Vagrant import' --no-rc 'Wiki:Main Page' < '/srv/pages/wiki/wikidatawiki/Wiki:Main Page' returned 255 instead of one of [0]

...

==> default: Error: /Stage[main]/Role::Wikidata/Mediawiki::Import::Text[MediaWiki:Mainpage]/Mediawiki::Maintenance[add page wikidata/MediaWiki:Mainpage]/Exec[add page wikidata/MediaWiki:Mainpage]: Failed to call refresh: /usr/local/bin/mwscript edit.php --wiki=wikidatawiki --summary='Vagrant import' --no-rc 'MediaWiki:Mainpage' < '/srv/pages/wiki/wikidatawiki/MediaWiki:Mainpage' returned 255 instead of one of [0]
==> default: Error: /Stage[main]/Role::Wikidata/Mediawiki::Import::Text[MediaWiki:Mainpage]/Mediawiki::Maintenance[add page wikidata/MediaWiki:Mainpage]/Exec[add page wikidata/MediaWiki:Mainpage]: /usr/local/bin/mwscript edit.php --wiki=wikidatawiki --summary='Vagrant import' --no-rc 'MediaWiki:Mainpage' < '/srv/pages/wiki/wikidatawiki/MediaWiki:Mainpage' returned 255 instead of one of [0]

...


The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.

Full terminal output: P8619.

zeljkofilipin removed zeljkofilipin as the assignee of this task.Jun 18 2019, 1:05 PM

@Smalyshev I've done all I could to 511127. Let me know if you would need help to finish the patch. I'm available for reviews and/or pairing.

Change 511127 merged by jenkins-bot:
[mediawiki/extensions/WikibaseCirrusSearch@master] Selenium: check if the extension is listed at Special:Version

https://gerrit.wikimedia.org/r/511127

zeljkofilipin closed this task as Resolved.Jul 8 2019, 10:40 AM
zeljkofilipin claimed this task.